# Assembler - damn_simple_architecture

## Keyboard shortcuts

Press `←` or `→` to navigate between chapters

Press `S` or `/` to search in the book

Press `?` to show this help

Press `Esc` to hide this help

# Assembler

## Building the Assembler

### Clone the repository

    git clone https://git.zxq5.dev/LowLevelDevs/damn_simple_architecture.git
    cd damn_simple_architecture

### Build the assembler

    cd assembler
    cargo build --release

## Usage

    <binary> -i <input_file.dsa> -o <output_file.dsb>